## Homework on GitLab

*This exercise has to be done on your lab computer on which `Matlab` **is** installed. Don't forget to properly configure `git` with your username and email, as we explained in the training slides.*

<br>
During the training, you committed to the
<br>
[https://git-r3lab.uni.lu/git-training/practice](https://git-r3lab.uni.lu/git-training/practice)
repository.

<br>
Your task is to create a fork of this repository, commit some code and create a merge request on `GitLab`.


## Homework: instructions

- First, fork the [https://git-r3lab.uni.lu/git-training/practice](https://git-r3lab.uni.lu/git-training/practice) repository.

- Create the new branch `homework_myName`.

- Implement a new function (create a new file `sqrt_myName.m`) called `sqrt_myName(x)` that computes the square root of `x`.

- Copy the `test.m` file to `test_myName.m` and change the names of the functions accordingly.


- Before submitting the merge request, verify locally that your code is running properly.
  Simply execute it
   ```sh
   $ matlab -nodesktop -nosplash < test_myName.m
   ```
   and verify that no error is reported.

- Create a merge-request.

- Assign either Laurent (@laurent.heirendt) or Sylvain (@sylvain.arreckx) depending on your group and your merge-request will be reviewed by one of us.

<br>
That's it!
